-- MySQL Script generated by MySQL Workbench
-- Tue Feb  9 09:42:54 2021
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Table `theme`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `theme` (
  `idTheme` INT NOT NULL AUTO_INCREMENT,
  `nom` VARCHAR(100) NULL,
  PRIMARY KEY (`idTheme`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `user`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `user` (
  `idUser` INT NOT NULL AUTO_INCREMENT,
  `nom` VARCHAR(50) NULL,
  `login` VARCHAR(50) NULL,
  `password` VARCHAR(50) NULL,
  `fonction` VARCHAR(15) NULL,
  PRIMARY KEY (`idUser`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `article`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `article` (
  `idArticle` INT NOT NULL AUTO_INCREMENT,
  `titre` VARCHAR(100) NULL,
  `texte` VARCHAR(100) NULL,
  `datePub` VARCHAR(45) NULL,
  `acces` VARCHAR(20) NULL,
  `idTheme` INT NOT NULL,
  `idUser` INT NOT NULL,
  PRIMARY KEY (`idArticle`),
  INDEX `fk_article_theme_idx` (`idTheme` ASC),
  INDEX `fk_article_user1_idx` (`idUser` ASC),
  CONSTRAINT `fk_article_theme`
    FOREIGN KEY (`idTheme`)
    REFERENCES `theme` (`idTheme`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_article_user1`
    FOREIGN KEY (`idUser`)
    REFERENCES `user` (`idUser`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `document`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `document` (
  `idDoc` INT NOT NULL AUTO_INCREMENT,
  `nom` VARCHAR(100) NULL,
  `url` VARCHAR(200) NULL,
  `type` VARCHAR(10) NULL,
  `idArticle` INT NOT NULL,
  PRIMARY KEY (`idDoc`),
  INDEX `fk_document_article1_idx` (`idArticle` ASC),
  CONSTRAINT `fk_document_article1`
    FOREIGN KEY (`idArticle`)
    REFERENCES `article` (`idArticle`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
